// ---------------------------------------------------------------------------------------------------------------------
// Scene interfaces
// ---------------------------------------------------------------------------------------------------------------------

import { SageEntity } from '../entity';

// ---------------------------------------------------------------------------------------------------------------------

/**
 * Represents a constructor for [[SageEntity]] instances.
 */
export interface EntityConstructor
{
    new(type : string, state : { [ key : string ] : any }) : SageEntity;
} // end EntityConstructor

// ---------------------------------------------------------------------------------------------------------------------
